Bug 213419 - keyboard indicator seg fault
keyboard indicator seg fault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libxklavier (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
: 214482 (view as bug list)
Depends On:
Blocks: 214049
  Show dependency treegraph
 
Reported: 2006-11-01 08:14 EST by JLapham
Modified: 2008-03-18 14:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 14:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug report from gnome-keyboard-applet (6.46 KB, text/plain)
2006-11-01 15:46 EST, Vladimir Florinski
no flags Details

  None (edit)
Description JLapham 2006-11-01 08:14:38 EST
Description of problem:
If you add a second keyboard layout (eg: US International), you get a seg fault.

Version-Release number of selected component (if applicable):
gnome-applets-2.16.0.1-10.fc6.i386

How reproducible:
always

Steps to Reproduce:
1. add keyboard indicator to panel
2. right click, keyboard preferences
3. layouts tab -> add
4. select any other keyboard layout (I use US International)
  
Actual results:
Crash dialog

Expected results:
no crash

Additional info:
I see this on my up to date FC6 machine, both i386 and x86_64.  I have applied
the gnome-applets update (ie: 2.16.0.1-10).
Comment 1 JLapham 2006-11-01 13:03:00 EST
Novell bug that sounds exactly like my problem:
https://bugzilla.novell.com/show_bug.cgi?id=216201

Possible upstream gnome bug:
http://bugzilla.gnome.org/show_bug.cgi?id=351395

Comment 2 Vladimir Florinski 2006-11-01 15:46:46 EST
Created attachment 140032 [details]
bug report from gnome-keyboard-applet

Confirm bug with gnome-applets-2.16.0.1-10.fc6
Comment 3 JLapham 2006-11-04 08:00:36 EST
Okay, Sergey found the problem.  It is with libxklavier, not gnome keyboard
indicator.

See this:
http://bugzilla.gnome.org/show_bug.cgi?id=370038

To fix, you need to recompile v3.0 of libxklavier changing line 264:

if (nodes != NULL && nodes->nodeTab != NULL) {
to
if (nodes != NULL && nodes->nodeTab != NULL && nodes->nodeNr > 0) {
Comment 4 Konstantin Sharlaimov 2006-11-04 17:56:45 EST
There is an src rpm made available (see the
http://bugzilla.gnome.org/show_bug.cgi?id=370038), and I've also created x86_64 rpm.
Comment 5 Ray Strode [halfline] 2006-11-07 16:15:51 EST
*** Bug 214482 has been marked as a duplicate of this bug. ***
Comment 6 petrosyan 2006-11-10 03:05:01 EST
This bug has been fixed in libxklavier-3.0-2.fc6 update
Comment 7 BooXteR 2006-11-17 08:10:24 EST
Anyway it doesn't work even after the installation of new xklavier version. If I
add the Keyboard applet on the panel, I have that text in Bug-Buddy:
System: Linux 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:37:32 EDT 2006 i686
X Vendor: The X.Org Foundation
X Vendor Release: 70101000
Selinux: Enforcing
Accessibility: Disabled
----------- .xsession-errors ---------------------
</placeholder>
</popup>
</popups>
</Root>
' to '/'
** (gnome-panel:2569): WARNING **: panel-applet-frame.c:1377: failed to load
applet OAFIID:GNOME_KeyboardApplet (cannot get control)
Unable to open desktop file file:///home/booxter/Desktop/blah-00e1cbc54c.desktop
for panel launcher: No such file or directory
Unable to open desktop file file:///home/booxter/Desktop/blah-00e1cbc54c.desktop
for panel launcher: No such file or directory
Unable to open desktop file file:///home/booxter/Desktop/blah-00e1cbc54c.desktop
for panel launcher: No such file or directory
Unable to open desktop file file:///home/booxter/Desktop/blah-00e1cbc54c.desktop
for panel launcher: No such file or directory
Unable to open desktop file file:///home/booxter/Desktop/blah-00e1cbc54c.desktop
for panel launcher: No such file or directory
Unable to open desktop file file:///home/booxter/Desktop/blah-00e1cbc54c.desktop
for panel launcher: No such file or directory
Loading "installonlyn" plugin
Unable to open desktop file file:///home/booxter/Desktop/blah-00e1cbc54c.desktop
for panel launcher: No such file or directory
--------------------------------------------------

Memory status: size: 23400448 vsize: 0 resident: 23400448 share: 0 rss: 6856704
rss_rlim: 0
CPU usage: start_time: 1163768774 rtime: 0 utime: 6 stime: 0 cutime:4 cstime: 0
timeout: 2 it_real_value: 0 frequency: 0

Backtrace was generated from '/usr/libexec/gswitchit'

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208138032 (LWP 3137)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x00fe6402 in __kernel_vsyscall ()
#0  0x00fe6402 in __kernel_vsyscall ()
#1  0x420d9c93 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x41e7acf6 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x48add2ab in strlen () from /lib/libc.so.6
#5  0x48aafea2 in vfprintf () from /lib/libc.so.6
#6  0x48b51b61 in __vsnprintf_chk () from /lib/libc.so.6
#7  0x4227d61f in g_vsnprintf () from /lib/libglib-2.0.so.0
#8  0x4227d7d9 in g_snprintf () from /lib/libglib-2.0.so.0
#9  0x08052474 in gswitchit_kbd_config_format_full_layout ()
#10 0x08052944 in gswitchit_config_load_remote_group_descriptions_utf8 ()
#11 0x08051b15 in gnome_kbd_indicator_new ()
#12 0x08051e76 in gnome_kbd_indicator_new ()
#13 0x422f77ba in g_type_create_instance () from /lib/libgobject-2.0.so.0
#14 0x422df0b2 in g_object_set () from /lib/libgobject-2.0.so.0
#15 0x422dcd0b in g_object_newv () from /lib/libgobject-2.0.so.0
#16 0x422dd86e in g_object_new_valist () from /lib/libgobject-2.0.so.0
#17 0x422dda20 in g_object_new () from /lib/libgobject-2.0.so.0
#18 0x080516c3 in gnome_kbd_indicator_new ()
#19 0x0804fbb0 in GSwitchItAppletNew ()
#20 0x41f6fdee in panel_applet_marshal_BOOLEAN__STRING ()
   from /usr/lib/libpanel-applet-2.so.0
#21 0x422d7f0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#22 0x41df3db4 in bonobo_closure_invoke_va_list ()
   from /usr/lib/libbonobo-2.so.0
#23 0x41df401c in bonobo_closure_invoke () from /usr/lib/libbonobo-2.so.0
#24 0x41f6ea96 in panel_applet_add_preferences ()
   from /usr/lib/libpanel-applet-2.so.0
#25 0x422e5259 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#26 0x422d7f0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#27 0x422e8e83 in g_signal_override_class_closure ()
   from /lib/libgobject-2.0.so.0
#28 0x422ea37f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#29 0x422ea539 in g_signal_emit () from /lib/libgobject-2.0.so.0
#30 0x41c353cb in bonobo_control_add_listener ()
   from /usr/lib/libbonoboui-2.so.0
#31 0x41df6c01 in _ORBIT_skel_small_Bonobo_Control_setFrame ()
   from /usr/lib/libbonobo-2.so.0
#32 0x41997617 in IOP_start_profiles () from /usr/lib/libORBit-2.so.0
#33 0x4199d785 in ORBit_OAObject_invoke () from /usr/lib/libORBit-2.so.0
#34 0x4198ab2c in ORBit_small_invoke_adaptor () from /usr/lib/libORBit-2.so.0
#35 0x4199b346 in ORBit_recv_buffer_return_sys_exception ()
   from /usr/lib/libORBit-2.so.0
#36 0x4199b9f2 in ORBit_recv_buffer_return_sys_exception ()
   from /usr/lib/libORBit-2.so.0
#37 0x4199c543 in ORBit_skel_class_register () from /usr/lib/libORBit-2.so.0
#38 0x4199d922 in ORBit_handle_request () from /usr/lib/libORBit-2.so.0
#39 0x41986a67 in giop_connection_handle_input ()
   from /usr/lib/libORBit-2.so.0
#40 0x419a451d in link_connection_state_changed ()
   from /usr/lib/libORBit-2.so.0
#41 0x419a73fe in link_io_add_watch_fd () from /usr/lib/libORBit-2.so.0
#42 0x42254342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#43 0x4225731f in g_main_context_check () from /lib/libglib-2.0.so.0
#44 0x422576c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#45 0x41de1a23 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#46 0x41ddfc89 in bonobo_generic_factory_main_timeout ()
   from /usr/lib/libbonobo-2.so.0
#47 0x41ddfd13 in bonobo_generic_factory_main ()
   from /usr/lib/libbonobo-2.so.0
#48 0x41f6b0c1 in panel_applet_factory_main_closure ()
   from /usr/lib/libpanel-applet-2.so.0
#49 0x41f6b1a5 in panel_applet_factory_main ()
   from /usr/lib/libpanel-applet-2.so.0
#50 0x0804ef83 in main ()

Thread 1 (Thread -1208138032 (LWP 3137)):
#0  0x00fe6402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x420d9c93 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x41e7acf6 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x48add2ab in strlen () from /lib/libc.so.6
No symbol table info available.
#5  0x48aafea2 in vfprintf () from /lib/libc.so.6
No symbol table info available.
#6  0x48b51b61 in __vsnprintf_chk () from /lib/libc.so.6
No symbol table info available.
#7  0x4227d61f in g_vsnprintf () from /lib/libglib-2.0.so.0
No symbol table info available.
#8  0x4227d7d9 in g_snprintf () from /lib/libglib-2.0.so.0
No symbol table info available.
#9  0x08052474 in gswitchit_kbd_config_format_full_layout ()
No symbol table info available.
#10 0x08052944 in gswitchit_config_load_remote_group_descriptions_utf8 ()
No symbol table info available.
#11 0x08051b15 in gnome_kbd_indicator_new ()
No symbol table info available.
#12 0x08051e76 in gnome_kbd_indicator_new ()
No symbol table info available.
#13 0x422f77ba in g_type_create_instance () from /lib/libgobject-2.0.so.0
No symbol table info available.
#14 0x422df0b2 in g_object_set () from /lib/libgobject-2.0.so.0
No symbol table info available.
#15 0x422dcd0b in g_object_newv () from /lib/libgobject-2.0.so.0
No symbol table info available.
#16 0x422dd86e in g_object_new_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#17 0x422dda20 in g_object_new () from /lib/libgobject-2.0.so.0
No symbol table info available.
#18 0x080516c3 in gnome_kbd_indicator_new ()
No symbol table info available.
#19 0x0804fbb0 in GSwitchItAppletNew ()
No symbol table info available.
#20 0x41f6fdee in panel_applet_marshal_BOOLEAN__STRING ()
   from /usr/lib/libpanel-applet-2.so.0
No symbol table info available.
#21 0x422d7f0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#22 0x41df3db4 in bonobo_closure_invoke_va_list ()
   from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#23 0x41df401c in bonobo_closure_invoke () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#24 0x41f6ea96 in panel_applet_add_preferences ()
   from /usr/lib/libpanel-applet-2.so.0
No symbol table info available.
#25 0x422e5259 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#26 0x422d7f0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#27 0x422e8e83 in g_signal_override_class_closure ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#28 0x422ea37f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#29 0x422ea539 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#30 0x41c353cb in bonobo_control_add_listener ()
   from /usr/lib/libbonoboui-2.so.0
No symbol table info available.
#31 0x41df6c01 in _ORBIT_skel_small_Bonobo_Control_setFrame ()
   from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#32 0x41997617 in IOP_start_profiles () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#33 0x4199d785 in ORBit_OAObject_invoke () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#34 0x4198ab2c in ORBit_small_invoke_adaptor () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#35 0x4199b346 in ORBit_recv_buffer_return_sys_exception ()
   from /usr/lib/libORBit-2.so.0
No symbol table info available.
#36 0x4199b9f2 in ORBit_recv_buffer_return_sys_exception ()
   from /usr/lib/libORBit-2.so.0
No symbol table info available.
#37 0x4199c543 in ORBit_skel_class_register () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#38 0x4199d922 in ORBit_handle_request () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#39 0x41986a67 in giop_connection_handle_input ()
   from /usr/lib/libORBit-2.so.0
No symbol table info available.
#40 0x419a451d in link_connection_state_changed ()
   from /usr/lib/libORBit-2.so.0
No symbol table info available.
#41 0x419a73fe in link_io_add_watch_fd () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#42 0x42254342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#43 0x4225731f in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#44 0x422576c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#45 0x41de1a23 in bonobo_main () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#46 0x41ddfc89 in bonobo_generic_factory_main_timeout ()
   from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#47 0x41ddfd13 in bonobo_generic_factory_main ()
   from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#48 0x41f6b0c1 in panel_applet_factory_main_closure ()
   from /usr/lib/libpanel-applet-2.so.0
No symbol table info available.
#49 0x41f6b1a5 in panel_applet_factory_main ()
   from /usr/lib/libpanel-applet-2.so.0
No symbol table info available.
#50 0x0804ef83 in main ()
No symbol table info available.
#0  0x00fe6402 in __kernel_vsyscall ()

And after I close Bug-Buddy the dialog window appear asking me if I want to
delete the crashed applet from the panel.

I've already upgraded all the gnome and xklavier stuff with a pirut, but it just
doesn't work.
Comment 8 Ray Strode [halfline] 2008-03-18 14:41:18 EDT
Hi,

We no longer support Fedora Core 6 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.